import { View } from '@tarojs/components'
import './index.scss'
import NamedIcon from '../../components/NamedIcon'

export default function (props) {
  const disable = props.disable ? 'disable' : ''
  console.log('------->', props)

  return (
    <View className={`raiseCell ${disable}`}>
      <View className="row">
        <View className="head">{props.head}</View>
        <View className="body">{props.body}</View>
        <View className="action" onClick={props.onActionClick}>
          {
            props.action && (<NamedIcon name="copy" size={34} />)
          }
        </View>
      </View>
      {
        props.desc &&
        (
          <View className="row desc">
            <View className="desc">{props.desc}</View>
          </View>
        )
      }
    </View>
  )
}
